[LTCTest][Opal][OP820] ipmi_port.service fails to start

Bug #1643784 reported by bugproxy on 2016-11-22
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
ipmiutil (Ubuntu)
Undecided
Unassigned

Bug Description

== Comment: #0 - PAVAMAN SUBRAMANIYAM <email address hidden> - 2016-11-10 04:06:14 ==
---Problem Description---
ipmi_port.service is failing to start

Contact Information = <email address hidden>

---uname output---
Linux ltc-firep1 4.8.0-27-generic #29-Ubuntu SMP Thu Oct 20 21:01:16 UTC 2016 ppc64le ppc64le ppc64le GNU/Linux

Machine Type = P8

---Debugger---
A debugger is not configured

---Steps to Reproduce---
 Install a P8 8335-GCA Hardware with Ubuntu 16.10 OS.
Then the ipmi_port.service is failing to start.

root@ltc-firep1:~# systemctl status ipmi_port.service
? ipmi_port.service - ipmiutil ipmi_port service
   Loaded: loaded (/lib/systemd/system/ipmi_port.service; disabled; vendor preset: enabled)
   Active: failed (Result: exit-code) since Thu 2016-11-10 03:11:33 EST; 51min ago
  Process: 9549 ExecStart=/usr/share/ipmiutil/ipmiutil.setup >/dev/null && /usr/sbin/ipmi_port -b || : (code=exited, status=6)

Nov 10 03:11:33 ltc-firep1 systemd[1]: Starting ipmiutil ipmi_port service...
Nov 10 03:11:33 ltc-firep1 systemd[1]: ipmi_port.service: Control process exited, code=exited status=6
Nov 10 03:11:33 ltc-firep1 systemd[1]: Failed to start ipmiutil ipmi_port service.
Nov 10 03:11:33 ltc-firep1 systemd[1]: ipmi_port.service: Unit entered failed state.
Nov 10 03:11:33 ltc-firep1 systemd[1]: ipmi_port.service: Failed with result 'exit-code'.

root@ltc-firep1:~# journalctl -xe
Nov 10 03:17:24 ltc-firep1 sshd[10411]: pam_unix(sshd:session): session opened for user root by (uid=0)
Nov 10 03:17:24 ltc-firep1 systemd-logind[3591]: New session 7 of user root.
-- Subject: A new session 7 has been created for user root
-- Defined-By: systemd
-- Support: http://www.ubuntu.com/support
-- Documentation: http://www.freedesktop.org/wiki/Software/systemd/multiseat
--
-- A new session with the ID 7 has been created for the user root.
--
-- The leading process of the session is 10411.
Nov 10 03:17:24 ltc-firep1 systemd[1]: Started Session 7 of user root.
-- Subject: Unit session-7.scope has finished start-up
-- Defined-By: systemd
-- Support: http://www.ubuntu.com/support
--
-- Unit session-7.scope has finished starting up.
--
-- The start-up result is done.
Nov 10 03:17:26 ltc-firep1 sshd[10411]: Received disconnect from 9.40.192.92 port 44624:11: Closed due to user request.
Nov 10 03:17:26 ltc-firep1 sshd[10411]: Disconnected from 9.40.192.92 port 44624
Nov 10 03:17:26 ltc-firep1 sshd[10411]: pam_unix(sshd:session): session closed for user root
Nov 10 03:17:26 ltc-firep1 systemd-logind[3591]: Removed session 7.
-- Subject: Session 7 has been terminated
-- Defined-By: systemd
-- Support: http://www.ubuntu.com/support
-- Documentation: http://www.freedesktop.org/wiki/Software/systemd/multiseat
--
-- A session with the ID 7 has been terminated.
Nov 10 03:41:24 ltc-firep1 sshd[10461]: Accepted password for root from 9.40.192.92 port 45090 ssh2
Nov 10 03:41:24 ltc-firep1 sshd[10461]: pam_unix(sshd:session): session opened for user root by (uid=0)
Nov 10 03:41:24 ltc-firep1 systemd-logind[3591]: New session 8 of user root.
-- Subject: A new session 8 has been created for user root
-- Defined-By: systemd
-- Support: http://www.ubuntu.com/support
-- Documentation: http://www.freedesktop.org/wiki/Software/systemd/multiseat
--
-- A new session with the ID 8 has been created for the user root.
--
-- The leading process of the session is 10461.
Nov 10 03:41:24 ltc-firep1 systemd[1]: Started Session 8 of user root.
-- Subject: Unit session-8.scope has finished start-up
-- Defined-By: systemd
-- Support: http://www.ubuntu.com/support
--
-- Unit session-8.scope has finished starting up.
--
-- The start-up result is done.
Nov 10 03:41:25 ltc-firep1 sshd[10461]: Received disconnect from 9.40.192.92 port 45090:11: Closed due to user request.
Nov 10 03:41:25 ltc-firep1 sshd[10461]: Disconnected from 9.40.192.92 port 45090
Nov 10 03:41:25 ltc-firep1 sshd[10461]: pam_unix(sshd:session): session closed for user root
Nov 10 03:41:25 ltc-firep1 systemd-logind[3591]: Removed session 8.
-- Subject: Session 8 has been terminated
-- Defined-By: systemd
-- Support: http://www.ubuntu.com/support
-- Documentation: http://www.freedesktop.org/wiki/Software/systemd/multiseat
--
-- A session with the ID 8 has been terminated.
Nov 10 04:00:01 ltc-firep1 CRON[10516]: pam_unix(cron:session): session opened for user root by (uid=0)
Nov 10 04:00:01 ltc-firep1 CRON[10517]: (root) CMD ([ -x /usr/sbin/update-openssh-known-hosts ] && { sleep `od -An -N1 -tu1 /dev/urandom`; /usr/sbin/update-o

Userspace tool common name: /usr/bin/ipmiutil

The userspace tool has the following bit modes: 64-bit

Userspace rpm: ipmiutil-3.0.0-1

Userspace tool obtained from project website: na

*Additional Instructions for <email address hidden>:
-Post a private note with access information to the machine that the bug is occuring on.
-Attach ltrace and strace of userspace application.

== Comment: #4 - PAVAMAN SUBRAMANIYAM <email address hidden> - 2016-11-21 22:54:15 ==

Default Comment by Bridge

tags: added: architecture-ppc64le bugnameltc-148440 severity-high targetmilestone-inin1610
Changed in ubuntu:
assignee: nobody → Taco Screen team (taco-screen-team)
affects: ubuntu → ipmiutil (Ubuntu)
Steve Langasek (vorlon) wrote :

Note that ipmiutil is a package in universe.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ipmiutil (Ubuntu):
status: New → Confirmed
Artur Molchanov (hexta) wrote :

Debian built ipmiutil package (3.0.1-1) with workaround.

Changed in ipmiutil (Ubuntu):
assignee: Taco Screen team (taco-screen-team) → nobody

------- Comment From <email address hidden> 2017-04-12 02:32 EDT-------
I am able to see this issue even with the latest Ubuntu 16.10 kernel.

root@ltc-firep1:~# uname -a
Linux ltc-firep1 4.8.0-46-generic #49-Ubuntu SMP Fri Mar 31 13:56:16 UTC 2017 ppc64le ppc64le ppc64le GNU/Linux
root@ltc-firep1:~# cat /etc/os-release
NAME="Ubuntu"
VERSION="16.10 (Yakkety Yak)"
ID=ubuntu
ID_LIKE=debian
PRETTY_NAME="Ubuntu 16.10"
VERSION_ID="16.10"
HOME_URL="http://www.ubuntu.com/"
SUPPORT_URL="http://help.ubuntu.com/"
BUG_REPORT_URL="http://bugs.launchpad.net/ubuntu/"
PRIVACY_POLICY_URL="http://www.ubuntu.com/legal/terms-and-policies/privacy-policy"
VERSION_CODENAME=yakkety
UBUNTU_CODENAME=yakkety

root@ltc-firep1:~# systemctl status ipmi_port.service
? ipmi_port.service - ipmiutil ipmi_port service
Loaded: loaded (/lib/systemd/system/ipmi_port.service; disabled; vendor preset: enabled)
Active: failed (Result: exit-code) since Wed 2017-04-12 02:28:10 EDT; 2min 45s ago
Process: 81130 ExecStart=/usr/share/ipmiutil/ipmiutil.setup >/dev/null && /usr/sbin/ipmi_port -b || : (code=exited, status=6)

Apr 12 02:28:10 ltc-firep1 systemd[1]: Starting ipmiutil ipmi_port service...
Apr 12 02:28:10 ltc-firep1 systemd[1]: ipmi_port.service: Control process exited, code=exited status=6
Apr 12 02:28:10 ltc-firep1 systemd[1]: Failed to start ipmiutil ipmi_port service.
Apr 12 02:28:10 ltc-firep1 systemd[1]: ipmi_port.service: Unit entered failed state.
Apr 12 02:28:10 ltc-firep1 systemd[1]: ipmi_port.service: Failed with result 'exit-code'.

------- Comment From <email address hidden> 2017-04-12 02:36 EDT-------
The below level of ipmiutil is available in the Ubuntu 16.10 OS.

root@ltc-firep1:~# which ipmiutil
/usr/bin/ipmiutil
root@ltc-firep1:~# dpkg -S /usr/bin/ipmiutil
ipmiutil: /usr/bin/ipmiutil
root@ltc-firep1:~# dpkg --list | grep ipmiutil
iF ipmiutil 3.0.0-1 ppc64el IPMI management utilities

Is the ipmiutil package which Debian has built with workaround's are incorporated by Ubuntu for 16.10 OS release.

Will there be fixes provided in Ubuntu 16.10 OS.

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-08-31 17:19 EDT-------
Since 16.10 is EOL, I'm closing this bug down as WILL_NOT_FIX against that release. Please re-open if this is still an issue with the current release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers